Skip to content

CloudFront  >  Dictionaries  >  LambdaFunctionAssociationDict

LambdaFunctionAssociationDict

Dictionary Type

LambdaFunctionAssociationDict

Bases: TypedDict

Dictionary form of LambdaFunctionAssociation.

Attributes

event_type instance-attribute
event_type: Required[str]

Specifies the event type that triggers a Lambda@Edge function invocation. You can specify the following values:

  • viewer-request: The function executes when CloudFront receives a request from a viewer and before it checks to see whether the requested object is in the edge cache.

  • origin-request: The function executes only when CloudFront sends a request to your origin. When the requested object is in the edge cache, the function doesn't execute.

  • origin-response: The function executes after CloudFront receives a response from the origin and before it caches the object in the response. When the requested object is in the edge cache, the function doesn't execute.

  • viewer-response: The function executes before CloudFront returns the requested object to the viewer. The function executes regardless of whether the object was already in the edge cache.

If the origin returns an HTTP status code other than HTTP 200 (OK), the function doesn't execute.

include_body instance-attribute
include_body: bool | None

A flag that allows a Lambda@Edge function to have read access to the body content. For more information, see Accessing the Request Body by Choosing the Include Body Option in the Amazon CloudFront Developer Guide.

lambda_function_arn instance-attribute
lambda_function_arn: Required[str]

The ARN of the Lambda@Edge function. You must specify the ARN of a function version; you can't specify an alias or $LATEST.